# $Id$
# Authority: dag
# Upstream: Paul Warren <pdw$ex-parrot,com>
# Upstream: Chris Lightfoot <chris$ex-parrot,com>

%define real_version 1.0pre3

%{?el4:%define _without_libpcapdevel 1}
%{?el3:%define _without_libpcapdevel 1}

Summary: Display bandwidth usage on an interface
Name: iftop
Version: 1.0
Release: 0.pre3%{?dist}
License: GPL
Group: Applications/System
URL: http://www.ex-parrot.com/~pdw/iftop/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://www.ex-parrot.com/~pdw/iftop/download/iftop-%{real_version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: libpcap
%{!?_without_libpcapdevel:BuildRequires:libpcap-devel}
BuildRequires: ncurses-devel

%description
iftop does for network usage what top(1) does for CPU usage. It listens
to network traffic on a named interface and displays a table of current
bandwidth usage by pairs of hosts. Handy for answering the question
"why is our ADSL link so slow?".

%prep
%setup -n %{name}-%{real_version}

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__install} -Dp -m0755 iftop %{buildroot}%{_sbindir}/iftop
%{__install} -Dp -m0644 iftop.8 %{buildroot}%{_mandir}/man8/iftop.8

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO
%doc %{_mandir}/man8/iftop.8*
%{_sbindir}/iftop

%changelog
* Thu Mar 27 2014 Dag Wieers <dag@wieers.com> - 1.0-0.pre3
- Updated to release 1.0pre3.

* Mon Jun 26 2006 Dag Wieers <dag@wieers.com> - 0.17-1
- Updated to release 0.17.

* Sun Feb 29 2004 Dag Wieers <dag@wieers.com> - 0.16-0
- Initial package. (using DAR)
